package com.tykj.dev.rfid.service.impl;

import com.tykj.dev.rfid.entity.domin.RfidChangeBill;
import com.tykj.dev.rfid.repository.RfidChangeBillDao;
import com.tykj.dev.rfid.repository.RfidChangeLogDao;
import com.tykj.dev.rfid.service.RfidChangeBillService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author HuangXiahao
 * @version V1.0
 * @class RfidChangeBillEntityServiceImpl
 * @packageName com.tykj.dev.rfid.service.impl
 **/
@Service
public class RfidChangeBillServiceImpl implements RfidChangeBillService {

    @Autowired
    RfidChangeBillDao rfidChangeBillDao;

    @Autowired
    RfidChangeLogDao rfidChangeLogDao;

    @Override
    public RfidChangeBill addEntity(RfidChangeBill libraryWarningLogEntity) {
        return rfidChangeBillDao.save(libraryWarningLogEntity);
    }

    @Override
    public RfidChangeBill updateEntity(RfidChangeBill libraryWarningLogEntity) {
        return rfidChangeBillDao.save(libraryWarningLogEntity);
    }

    @Override
    public RfidChangeBill getOne(Integer id) {
        return rfidChangeBillDao.getOne(id);
    }

}
